## Liste der Kern-Konfigurationsoptionen

Nachfolgend finden Sie eine Teilliste der Konfigurationsoptionen, die von den PHP configure Skripten beim Kompilieren in Unix-ähnlichen Umgebungen verwendet werden. Die meisten Konfigurationsoptionen sind in den entsprechenden Referenzseiten der Erweiterungen aufgeführt und nicht hier. Für eine vollständige aktuelle Liste der Konfigurationsoptionen, führen Sie ./configure --help in Ihrem PHP-Quellcode-Verzeichnis aus, nachdem Sie autoconf ausgeführt haben (siehe auch den Installationskapitel). Vielleicht interessieren Sie sich auch für die » GNU configure Dokumentation für Informationen über zusätzliche configure Optionen wie `--prefix=PREFIX`.

> Hinweis:

> Diese werden nur zur Kompilierungszeit verwendet. Wenn sie die Laufzeitkonfiguration von PHP ändern wollen, lesen Sie bitte das Kapitel über Laufzeitkonfiguration.

- Verschiedenes
- PHP-Verhalten
- Server

### PHP-Optionen konfigurieren

#### Verschiedene Optionen

--enable-debug

  Kompilieren mit Debugging-Symbolen.

--with-layout=TYP

  Legt fest, wie die installierten Dateien angeordnet werden sollen. Typ ist PHP (Standard) oder GNU. Wenn die Manpages unter PREFIX installiert werden (Standard), sollte der GNU-Stil gewählt werden, damit sie im Suchpfad des Programms manpath gefunden werden können.

--with-pear=DIR

  Installiert PEAR in DIR (Voreinstellung PREFIX/lib/php).

--without-pear

  Installiert PEAR nicht.

--enable-sigchild

  Aktiviert den PHP-eigenen SIGCHLD-Handler.

--disable-rpath

  Deaktiviert die Übergabe zusätzlicher Suchpfade der Laufzeitbibliothek.

--enable-libgcc

  Aktiviert die explizite Verlinkung gegen libgcc.

--enable-php-streams

  Experimentelle PHP-Streams einbinden. Verwenden Sie dies nicht, es sei denn, Sie testen den Code!

--with-zlib-dir[=DIR]

  Definiert den Speicherort des zlib-Installationsverzeichnisses.

--with-tsrm-pthreads

  POSIX-Threads verwenden (Voreinstellung).

--enable-shared[=PKGS]

  Gemeinsame Bibliotheken erstellen [Voreinstellung=ja].

--enable-static[=PKGS]

  Erstellt statische Bibliotheken [Voreinstellung=ja].

--enable-fast-install[=PKGS]

  Optimieren für schnelle Installation [Voreinstellung=ja].

--with-gnu-ld

  Annehmen, dass der C-Compiler GNU ld verwendet [Voreinstellung=nein].

--disable-libtool-lock

  Sperren vermeiden (könnte parallele Builds beschädigen).

--with-pic

  Es wird versucht, nur PIC/Nicht-PIC-Objekte zu verwenden [Voreinstellung=beide verwenden].

--enable-versioning

  Nur erforderliche Symbole exportieren. Siehe INSTALL für weitere Informationen.

#### PHP-Optionen

--enable-maintainer-mode

  Aktiviert Makefile-Regeln und Abhängigkeiten, die für den gewöhnlichen Anwender nicht nützlich (und manchmal auch verwirrend) sind.

--with-config-file-path=PATH

  Setzt den Pfad, in dem nach der php.ini gesucht wird; der Vorgabewert ist `PREFIX/lib`.

--disable-short-tags

  Die Tag-Kurzform <? wird standardmäßig deaktiviert.

--with-libdir

  Gibt das Verzeichnis an, in dem die für die Kompilierung von PHP erforderlichen Bibliotheken auf einem Unix-Sytem zu finden sind. Für 64-bit Systeme ist es erforderlich, dieses Argument wie folgt auf das `lib64` zu setzen: `--with-libdir=lib64`.

--enable-zts

  Aktiviert die Thread-Sicherheit. Vor PHP 8.0.0 hieß die Option auf Nicht-Windows-Systemen --enable-maintainer-zts.

#### SAPI-Optionen

Die folgende Liste enthält die für PHP verfügbaren SAPIs (`Server Application Programming Interfaces`).

--with-apxs[=FILE]

  Erstellt ein dynamisches (shared) Modul für Apache. FILE ist der optionale Pfadname zum apxs-Tool von Apache; die Voreinstellung ist apxs. Es ist darauf zu achten, dass die Version von apxs angegeben wird, die tatsächlich auf dem System installiert ist, und NICHT die aus den Apache-Quellen.

--with-apache[=DIR]

  Erstellt ein statisches Modul für Apache. DIR ist das oberste Verzeichnis der Apache-Installation; die Voreinstellung ist /usr/local/apache.

--with-mod_charset

  Aktiviert die Umkodierungstabellen für das Modul mod_charset (für die russische Apache-Version).

--with-apxs2[=FILE]

  Erstellt ein dynamisches Modul für Apache 2.0. FILE ist der optionale Pfadname zum apxs-Tool von Apache; die Voreinstellung ist apxs.

--disable-cli

  Deaktiviert die Erstellung der CLI-Version von PHP (dies impliziert --without-pear). Weitere Informationen sind im Abschnitt über die Nutzung von PHP auf der Kommandozeile zu finden.

--enable-phpdbg

  Aktiviert die Unterstützung für das SAPI-Modul des interaktiven Debuggers phpdbg.

--enable-embed[=TYPE]

  Aktiviert die Erstellung der integrierten SAPI-Bibliothek. TYPE ist entweder `shared` oder `static`; die Voreinstellung ist `shared`.

--with-servlet[=DIR]

  Fügt die Unterstützung von Servlets hinzu. DIR ist das Basisverzeichnis der JSDK-Installation. Für diese SAPI muss die Java-Erweiterung als Shared Library kompiliert werden.

--disable-cgi

  Deaktiviert die Erstellung der CGI-Version von PHP.

  Dieser Parameter aktiviert auch FastCGI.

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open